summaryrefslogtreecommitdiff
path: root/app-office/moneydance/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-07-10 23:40:16 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-07-10 23:40:16 +0100
commit51af5f0eb4cddbe6aa7953717873691d77aae9ff (patch)
tree1541525274162b033ebbc3ed38abaf335fbbd49a /app-office/moneydance/files
parent7014a5a3ea0feffab9701fdd6b64cc7667a985af (diff)
gentoo resync : 11.07.2019
Diffstat (limited to 'app-office/moneydance/files')
-rw-r--r--app-office/moneydance/files/moneydance-bin25
1 files changed, 25 insertions, 0 deletions
diff --git a/app-office/moneydance/files/moneydance-bin b/app-office/moneydance/files/moneydance-bin
new file mode 100644
index 000000000000..1e8089e99bf0
--- /dev/null
+++ b/app-office/moneydance/files/moneydance-bin
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# Options
+JAVA_OPTS="-client -Dawt.useSystemAAFontSettings=gasp -Dawt.useSystemAAFontSettings=on -Xmx2048m"
+MONEYDANCE_LIBS="/usr/share/moneydance/lib"
+
+# Choose JAVA
+set -- /opt/openjdk-bin-11.* /usr/lib*/openjdk-11
+while ! [ -d "${1}" ]; do
+ if [ ${#} -eq 1 ]; then
+ echo "Error: No JAVA 11 runtime found!"
+ exit 1
+ fi
+
+ shift
+done
+JAVA_HOME="${1}"
+
+# Set CLASSPATH
+for MONEYDANCE_JAR in ${MONEYDANCE_LIBS}/*.jar; do
+ CLASSPATH=${CLASSPATH}:${MONEYDANCE_JAR}
+done
+
+# Launch Moneydance
+"${JAVA_HOME}"/bin/java -cp "${CLASSPATH}" ${JAVA_OPTS} Moneydance